﻿//*****************************************************************************
// Senior Citizen Taxi Service Driver Assistance Application
// Created By: Eric Sallmann
// Date Created: April 22nd, 2013
// Assistance Received by Dr. Pankratz
// Reference: GMap.NET, GeoCoding.NET, HTMLRemoval.cs, www.stackoverflow.com, 
// social.msdn.microsoft.com, www.codeproject.com
//*****************************************************************************
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using MySql.Data.MySqlClient;

namespace Door2DoorApp
{
    //******************************************************************************************
    // Login Form: Form to have the driver login to the application system. Only employee drivers
    // will have a username and password to the specific driver location database and get access
    // to the specific customers and destination locations maintained by HQ.
    //******************************************************************************************
    public partial class LoginForm : Form
    {
        public LoginForm()
        {
            InitializeComponent();
        }

        //this is the button that the users will press to try and connect to a database
        private void LoginBtn_Click(object sender, EventArgs e)
        {
            ConnResult.Text = "";           //set the default connection message to blank
            //string used to connect to the MySQL server

            Variables.Server = ServerName.Text;
            Variables.PortNumber = PortNumber.Text;
            Variables.UserName = UserNameVal.Text;      //get the username and password from the
            Variables.Password = PasswordVal.Text;  //global variables listed above

            //Server = csmysql.snc.edu
            //PortNumber = 3306
            //the string to get the connection necessary to get the right database with the data
            if (Variables.Server == "" || Variables.PortNumber == "" || Variables.UserName == "" || Variables.Password == "")
                MessageBox.Show("There were some fields that were left blank. You must fill out all required fields to login to the Taxi Service database that you are looking for.");
            else
            {
                string MyConString = "SERVER= " + Variables.Server + ";PORT= " + Variables.PortNumber + ";DATABASE=" + Variables.UserName + ";UID=" + Variables.UserName + ";PASSWORD=" + Variables.Password;

                //create a new MySQL connection instance
                MySqlConnection connection = new MySqlConnection(MyConString);

                //if the connection succeeded, display a message saying so
                try
                {
                    connection.Open();
                    ConnResult.Text = "Connection Successful";
                    Door2DoorApp.UIForm Home = new Door2DoorApp.UIForm();   //reference a new User Interface form
                    //if the UI form is already open then do nothing, otherwise open the form and hide this login form
                    if (Home.Visible == false)
                    {
                        Home.Show();
                        this.Hide();
                    }
                }
                //else the connection failed
                catch (Exception e1)
                {
                    ConnResult.Text = "Connection Unsuccessful";
                }
                //close the final connection once the message is displayed
                finally
                {
                    connection.Close();
                }
            }
        }
        //Click this button and the project execution will end
        private void QuitBtn_Click(object sender, EventArgs e)
        {
            DialogResult result1 = MessageBox.Show("Are you sure you would like to exit the application?", "Quit Application", MessageBoxButtons.YesNo);
            if (result1.ToString() == "Yes")
                Environment.Exit(0);    //Quit the application

        }
        //Prompt the user if they want to quit the application when the user clicks the X button in the top right hand corner of the screen.
        protected override void OnFormClosing(FormClosingEventArgs e)
        {
            if (this.Visible == true)
            {
                DialogResult result1 = MessageBox.Show("Are you sure you would like to exit the application?", "Quit Application", MessageBoxButtons.YesNo);
                if (result1.ToString() == "Yes")
                    e.Cancel = false;
                else
                    e.Cancel = true;
            }
        }
    }
    //global variables that will tell the other form code data what the username and password 
    class Variables
    {
        public static string PortNumber;
        public static string Server;
        public static string UserName;
        public static string Password;
    }
}
